Subject: Re: bug#16959: 24.3.50; defadvice docstring out of date

From: Stefan Monnier <[email-masked]>
Date: Wed, 12 Mar 2014 14:41:52 -0400

> Somewhat relatedly, would you consider renaming advice-add to
> add-advice (naturally with an alias for backward compatibility)?

No, that's not an option.  I could consider getting rid of the
add-function and remove-function exceptions (i.e. renaming them to
something that starts with "advice-" like everything else in
nadvice.el), but then their "natural" name would probably be
advice-function-add and advice-function-remove, neither of which please
me very much.  Especially given the intention to see `add-function' as
a brother to `add-hook'.

        Stefan